当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 12 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求助:ubuntu安装Hearts for the KDE(红心大战)V1.98(已解决)
帖子发表于 : 2009-08-29 22:12 
头像

注册: 2007-09-02 10:17
帖子: 62
地址: 重庆
系统: xubuntu14.04
送出感谢: 0 次
接收感谢: 0 次
我想在ubuntu9.04下安装Hearts for the KDE(红心大战)V1.98。
这个软件本来是for kde的,但我用的ubuntu是gnome界面,可能换成kde会比较简单,但还是想用gnome。
这个软件是源码,所以要先./configure
根据configure的提示,缺少以下的包
kdelibs
xorg-dev
libqt3-headers
安装上之后,再次configure
却提示Qt (>= Qt 3.2) (headers and libraries) not found
至此,我实在无能为力了,只好来向各位求教。 :em20

-----------
软件已经传上来了,如果能安装,请教我具体点的过程。
如果不能安装,请告诉我其中的原理。

这对我来说也是一个深刻的学习过程,万分感谢!


附件:
hearts-1.98.tar.bz2 [549.88 KiB]
被下载 1 次


最后由 bsnlr 编辑于 2009-08-30 8:40,总共编辑了 1 次
页首
 用户资料  
 
2 楼 
 文章标题 : Re: 求助:ubuntu安装Hearts for the KDE(红心大战)V1.98
帖子发表于 : 2009-08-29 23:11 

注册: 2008-07-07 15:50
帖子: 31
送出感谢: 0 次
接收感谢: 0 次
安装kde环境,就可以在gnome中打开kde程序了。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 求助:ubuntu安装Hearts for the KDE(红心大战)V1.98
帖子发表于 : 2009-08-29 23:13 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
没事,只要在新立得里搜索qt,把qt3和qt4的各种库全装上,就没事。


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 求助:ubuntu安装Hearts for the KDE(红心大战)V1.98
帖子发表于 : 2009-08-29 23:14 
头像

注册: 2007-09-02 10:17
帖子: 62
地址: 重庆
系统: xubuntu14.04
送出感谢: 0 次
接收感谢: 0 次
tfitw 写道:
安装kde环境,就可以在gnome中打开kde程序了。

怎么安装?安装好之后是不是就变成kde桌面了?


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 求助:ubuntu安装Hearts for the KDE(红心大战)V1.98
帖子发表于 : 2009-08-29 23:17 
头像

注册: 2007-09-02 10:17
帖子: 62
地址: 重庆
系统: xubuntu14.04
送出感谢: 0 次
接收感谢: 0 次
wangdu2002 写道:
没事,只要在新立得里搜索qt,把qt3和qt4的各种库全装上,就没事。

全部?输入qt3、qt4,全部装上?有多大?能行吗?


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 求助:ubuntu安装Hearts for the KDE(红心大战)V1.98
帖子发表于 : 2009-08-29 23:26 
头像

注册: 2007-07-30 18:28
帖子: 22033
地址: 空气中
系统: Linux
送出感谢: 17
接收感谢: 68
自动补齐,自动化哪有麻烦事?只要你知道名字,不过GNOME也有吧。


_________________
『这个世界都是我的 ,我爱你们』

ENTP ⥂ INTP ⥄ INFP ⇦ INTJ

在此发布的文章使用 Creative Commons Attribution-ShareAlike 4.0 协议


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 求助:ubuntu安装Hearts for the KDE(红心大战)V1.98
帖子发表于 : 2009-08-29 23:40 
头像

注册: 2007-09-02 10:17
帖子: 62
地址: 重庆
系统: xubuntu14.04
送出感谢: 0 次
接收感谢: 0 次
我无法完成configure的过程,也不知道到底还要安装哪些依赖包,总不能把新立德里面的都打上勾吧?我希望只是安装必要的依赖包,而不是把可能相关的都安装上。那不是解决这个问题的最佳方法。不然,我去虚拟个xp还自带游戏,或者换成kubuntu应该可以直接安装。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 求助:ubuntu安装Hearts for the KDE(红心大战)V1.98
帖子发表于 : 2009-08-30 6:31 
头像

注册: 2007-07-30 18:28
帖子: 22033
地址: 空气中
系统: Linux
送出感谢: 17
接收感谢: 68
干吗编译源码??? :em20


_________________
『这个世界都是我的 ,我爱你们』

ENTP ⥂ INTP ⥄ INFP ⇦ INTJ

在此发布的文章使用 Creative Commons Attribution-ShareAlike 4.0 协议


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 求助:ubuntu安装Hearts for the KDE(红心大战)V1.98
帖子发表于 : 2009-08-30 7:59 
头像

注册: 2007-09-02 10:17
帖子: 62
地址: 重庆
系统: xubuntu14.04
送出感谢: 0 次
接收感谢: 0 次
luojie-dune 写道:
干吗编译源码??? :em20

因为没有现成的deb安装包啊 :em06


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 求助:ubuntu安装Hearts for the KDE(红心大战)V1.98
帖子发表于 : 2009-08-30 8:19 
头像

注册: 2007-07-30 18:28
帖子: 22033
地址: 空气中
系统: Linux
送出感谢: 17
接收感谢: 68
qt3的不知道还齐全否。

gnome-hearts

。。。

apt://gnome-hearts


_________________
『这个世界都是我的 ,我爱你们』

ENTP ⥂ INTP ⥄ INFP ⇦ INTJ

在此发布的文章使用 Creative Commons Attribution-ShareAlike 4.0 协议


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 求助:ubuntu安装Hearts for the KDE(红心大战)V1.98
帖子发表于 : 2009-08-30 8:23 
头像

注册: 2008-03-27 17:21
帖子: 206
送出感谢: 0 次
接收感谢: 0 次
QT4了吧。


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 求助:ubuntu安装Hearts for the KDE(红心大战)V1.98
帖子发表于 : 2009-08-30 8:39 
头像

注册: 2007-09-02 10:17
帖子: 62
地址: 重庆
系统: xubuntu14.04
送出感谢: 0 次
接收感谢: 0 次
luojie-dune 写道:
qt3的不知道还齐全否。

gnome-hearts

。。。

apt://gnome-hearts

万分感谢 :em11
原来gnome下已经有了这个游戏了。直接“添加/删除”,选择安装就行。

不过用学习linux也有段时间了,竟然还没有成功configure,make成功过一个程序,真是 :em06
再次感谢luojie-dune


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 12 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译